## jconvolver 0.8.4

=== source/Makefile ===
#  Copyright (C) 2005-2009 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
DISTDIR = jconvolver-$(VERSION)
VERSION = 0.8.4
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\"
#CPPFLAGS += -march=i686 -mtune=pentium4 -msse -msse2 -m3dnow -O3 -ffast-math


# Uncomment if you use a libsndfile version without support for
# setting/getting the Ambisonic flags. This should not be necessary
# unless you are using a *very old* version of libsndfile.
#
#CPPFLAGS += -DNOAMBIS=1


all:	jconvolver fconvolver makemulti


JCONVOLVER_O =	jconvolver.o config.o jconfig.o audiofile.o jclient.o
jconvolver:	LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lclthreads -ljack -lpthread -lrt
jconvolver:	$(JCONVOLVER_O)
	g++ $(LDFLAGS) -o $@ $(JCONVOLVER_O) $(LDLIBS)
$(JCONVOLVER_O):
-include $(JCONVOLVER_O:%.o=%.d)



FCONVOLVER_O =	fconvolver.o config.o fconfig.o audiofile.o
fconvolver:	LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lpthread -lrt
fconvolver:	$(FCONVOLVER_O)
	g++ $(LDFLAGS) -o $@ $(FCONVOLVER_O) $(LDLIBS)
$(FCONVOLVER_O):
-include $(FCONVOLVER_O:%.o=%.d)



MAKEMULTI_O =	makemulti.o audiofile.o
makemulti : LDLIBS += -lsndfile -lrt
makemulti:	$(MAKEMULTI_O)
	g++ $(LDFLAGS) -o $@ $(MAKEMULTI_O) $(LDLIBS)


install:	all
	/usr/bin/install -m 755 jconvolver $(PREFIX)/bin
	/usr/bin/install -m 755 fconvolver $(PREFIX)/bin
	/usr/bin/install -m 755 makemulti $(PREFIX)/bin


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jconvolver fconvolver makemulti

## jconvolver 0.8.7

=== source/Makefile ===
--- 
+++ 
@@ -19,10 +19,10 @@
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
 DISTDIR = jconvolver-$(VERSION)
-VERSION = 0.8.4
+VERSION = 0.8.7
 LDFLAGS += -L$(PREFIX)/$(LIBDIR)
 CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\"
-#CPPFLAGS += -march=i686 -mtune=pentium4 -msse -msse2 -m3dnow -O3 -ffast-math
+CPPFLAGS += -march=native
 
 
 # Uncomment if you use a libsndfile version without support for
@@ -60,9 +60,9 @@
 
 
 install:	all
-	/usr/bin/install -m 755 jconvolver $(PREFIX)/bin
-	/usr/bin/install -m 755 fconvolver $(PREFIX)/bin
-	/usr/bin/install -m 755 makemulti $(PREFIX)/bin
+	install -Dm 755 jconvolver $(DESTDIR)$(PREFIX)/bin/jconvolver
+	install -Dm 755 fconvolver $(DESTDIR)$(PREFIX)/bin/fconvolver
+	install -Dm 755 makemulti  $(DESTDIR)$(PREFIX)/bin/makemulti
 
 
 clean:

=== debian/changelog ===
jconvolver (0.8.7-2) unstable; urgency=low

  * Switch to 3.0 (quilt) format.
  * Add debian/gbp.conf file, use pristine-tar to retrieve the orig
    tarball.
  * Add .gitignore file.
  * Update debian/watch file.
  * Bump Standards.
  * jconvolver-config-files suggests jconvolver.
  * Add jcgui to the Suggests field of jconvolver.
  * Add -Wl,--as-needed to linking flags.
  * Drop the macro ${shlibs:Depends} from the Depends field of the
    arch-indep package jconvolver-config-files.
  * Change my email address.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Aug 2010 13:45:20 +0200

jconvolver (0.8.7-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 11 Apr 2010 13:01:39 +0200

jconvolver (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Refresh patches.
  * Little improvements to the description.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 09 Mar 2010 01:13:11 +0100

jconvolver (0.8.4-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * new upstream release
  * renamed package and binary (Closes: #529774)
  * removed libc6-dev from dependencies (Closes: #554638)(Closes: #540427)
  * removed locales from dependencies
  * changed compatibility to 7
  * changed Standard version to 3.8.3
  
  [ Alessio Treglia ]
  * Switch to debhelper 7.
  * debian/control:
    - Bump quilt build-dependency.
    - Remove binutils from Build-Depends field, it's unnecessary.
    - Set DM-Upload-Allowed to yes.
    - Add dh_install file for the jconvolver-config-files runtime package.
    - Remove debian/jconvolver.install, now unnecessary.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 17 Jan 2010 17:43:09 +0100

jconv (0.8.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really remove libc6-dev from Build-Depends, do not just write
    something about it in the changelog.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 07 Dec 2009 05:43:49 +0100

jconv (0.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove erroneous libc6-dev (>= 2.7) from Build-Depends since it's not
    needed (even in stable); and buggy, since libc6-dev is a virtual
    package on many architectures, and since versioned Provides aren't
    supported (Closes: #540427, #554638).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 07 Dec 2009 03:49:49 +0100

jconv (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #520083)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Mar 2009 22:07:07 +0100

=== debian/control ===
Source: jconvolver
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libfftw3-dev (>= 3.1.2-3.1 ),
 libjack-dev,
 libsndfile1-dev (>= 1.0.19 ),
 libzita-convolver-dev (>= 2.0.0 ),
 libclthreads-dev (>= 2.4.0 )
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jconv.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jconv.git
Homepage: http://www.kokkinizita.net/linuxaudio/downloads/index.html

Package: jconvolver
Architecture: any
Depends: ${shlibs:Depends},
 jconvolver-config-files,
 ${misc:Depends}
Suggests: jcgui
Description: Convolution reverb Engine for JACK
 Jconvonlver is a Convolution Engine for JACK using FFT-based
 partitioned convolution with multiple partition sizes.
 It can execute up to a 64 by 64 convolution matrix
 (i.e. 4096 simultaneous convolutions) as long as
 your CPU(s) can handle the load.

Package: jconvolver-config-files
Architecture: all
Depends: ${misc:Depends}
Suggests: jconvolver
Description: Demo config files for jconvolver
 Package include example files for easy start using jconvolver.
 These files will be installed in /usr/share/convolver/config-files dir.
 More info in /usr/share/doc/jconvolver/README.CONFIG.
 .
 You can also download additional reverb file jconvolver-reverbs.tar.bz2
 from http://www.kokkinizita.net/linuxaudio/downloads/index.html

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html jconvolver-([\d.]+)\.tar\.bz2

## jconvolver 0.9.1

=== debian/changelog ===
jconvolver (0.9.1-1) experimental; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Refreshed patches.
  * Bump Standards
  * Tuned build-dependency.
  * Added slash to gitignore file.
  * Fixed URL in watch file.
  * Added local-options file
  * Fix typo.
  * Swiched to copyright rev 174.

  [ Alessio Treglia ]
  * Fix gbp config file.
  * Update upstream references.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 27 Oct 2011 01:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- libfftw3-dev (>= 3.1.2-3.1 ),
+ libfftw3-dev (>= 3.1.2-3.1),
  libjack-dev,
- libsndfile1-dev (>= 1.0.19 ),
- libzita-convolver-dev (>= 2.0.0 ),
+ libsndfile1-dev (>= 1.0.19),
+ libzita-convolver-dev (>= 3.0.2),
  libclthreads-dev (>= 2.4.0 )
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/jconv.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jconv.git
-Homepage: http://www.kokkinizita.net/linuxaudio/downloads/index.html
+Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
 
 Package: jconvolver
 Architecture: any
@@ -39,4 +39,4 @@
  More info in /usr/share/doc/jconvolver/README.CONFIG.
  .
  You can also download additional reverb file jconvolver-reverbs.tar.bz2
- from http://www.kokkinizita.net/linuxaudio/downloads/index.html
+ from http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

## jconvolver 0.9.2

=== debian/changelog ===
jconvolver (0.9.2-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Fix description (Closes: #687852)
  * Bump Standards
  * Set compat to 9 and dh to 9 to fix hardening

  [ Alessio Treglia ]
  * Set DM-U-A to yes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 01 Oct 2012 13:27:18 +0100

jconvolver (0.9.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 13 Dec 2011 01:30:34 +0100

=== debian/control ===
Source: jconvolver
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libclthreads-dev (>= 2.4.0 ),
 libfftw3-dev (>= 3.1.2-3.1),
 libjack-dev,
 libsndfile1-dev (>= 1.0.19),
 libzita-convolver-dev (>= 3.0.2)
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jconv.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jconv.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/

Package: jconvolver
Architecture: any
Depends:
 jconvolver-config-files,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 jcgui
Description: Convolution reverb Engine for JACK
 Jconvolver is a Convolution Engine for JACK using FFT-based
 partitioned convolution with multiple partition sizes.
 It can execute up to a 64 by 64 convolution matrix
 (i.e. 4096 simultaneous convolutions) as long as
 your CPU(s) can handle the load.

Package: jconvolver-config-files
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 jconvolver
Description: Demo config files for jconvolver
 Package include example files for easy start using jconvolver.
 These files will be installed in /usr/share/convolver/config-files dir.
 More info in /usr/share/doc/jconvolver/README.CONFIG.
 .
 You can also download additional reverb file jconvolver-reverbs.tar.bz2
 from http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C source/ clean
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) -C source/ DESTDIR=$(CURDIR)/debian/jconvolver install

## jconvolver 0.9.3

=== source/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-#  Copyright (C) 2005-2009 Fons Adriaensen <fons@kokkinizita.net>
+# --------------------------------------------------------------------------------
+#
+#  Copyright (C) 2005-2011 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -9,33 +11,28 @@
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 #  GNU General Public License for more details.
-
+#
 #  You should have received a copy of the GNU General Public License
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+# --------------------------------------------------------------------------------
 
 
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
-DISTDIR = jconvolver-$(VERSION)
-VERSION = 0.8.7
+VERSION = 0.9.3
 LDFLAGS += -L$(PREFIX)/$(LIBDIR)
-CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\"
-CPPFLAGS += -march=native
-
-
-# Uncomment if you use a libsndfile version without support for
-# setting/getting the Ambisonic flags. This should not be necessary
-# unless you are using a *very old* version of libsndfile.
-#
-#CPPFLAGS += -DNOAMBIS=1
+CPPFLAGS += -DVERSION=\"$(VERSION)\"
+CXXFLAGS += -O3 -Wall -MMD -MP
+CXXFLAGS += -march=native
 
 
 all:	jconvolver fconvolver makemulti
 
 
-JCONVOLVER_O =	jconvolver.o config.o jconfig.o audiofile.o jclient.o
+JCONVOLVER_O =	jconvolver.o config.o jconfig.o audiofile.o sstring.o jclient.o
 jconvolver:	LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lclthreads -ljack -lpthread -lrt
 jconvolver:	$(JCONVOLVER_O)
 	g++ $(LDFLAGS) -o $@ $(JCONVOLVER_O) $(LDLIBS)
@@ -44,7 +41,7 @@
 
 
 
-FCONVOLVER_O =	fconvolver.o config.o fconfig.o audiofile.o
+FCONVOLVER_O =	fconvolver.o config.o fconfig.o audiofile.o sstring.o
 fconvolver:	LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lpthread -lrt
 fconvolver:	$(FCONVOLVER_O)
 	g++ $(LDFLAGS) -o $@ $(FCONVOLVER_O) $(LDLIBS)

=== debian/changelog ===
jconvolver (0.9.3-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:32 +0100

jconvolver (0.9.3-2) unstable; urgency=medium

  [ James Cowgill ]
  * Fix typo in jconvolver-config-files package description

  [ Jaromír Mikeš ]
  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Avoid useless linking.
  * Fix hardening.
  * Sign tags.
  * Update copyright file.
  * Add overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 20 Dec 2016 16:03:48 +0100

jconvolver (0.9.3-1) unstable; urgency=low

  * Imported Upstream version 0.9.3
  * Bump Standards.
  * Removed obsolete DMUA.
  * Patches refreshed.
  * Update VCS urls.
  * Added patch to fix spelling.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 26 Feb 2014 12:44:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libclthreads-dev (>= 2.4.0 ),
  libfftw3-dev (>= 3.1.2-3.1),
  libjack-dev,
  libsndfile1-dev (>= 1.0.19),
  libzita-convolver-dev (>= 3.0.2)
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/jconv.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jconv.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jconv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jconv.git
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
 
 Package: jconvolver
@@ -42,7 +41,7 @@
  jconvolver
 Description: Demo config files for jconvolver
  Package include example files for easy start using jconvolver.
- These files will be installed in /usr/share/convolver/config-files dir.
+ These files will be installed in /usr/share/jconvolver/config-files dir.
  More info in /usr/share/doc/jconvolver/README.CONFIG.
  .
  You can also download additional reverb file jconvolver-reverbs.tar.bz2

=== debian/watch ===
version=3

http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jconvolver-([\d.]+)\.tar\.bz2

## jconvolver 1.0.3

=== source/Makefile ===
# --------------------------------------------------------------------------------
#
#  Copyright (C) 2005-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# --------------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 1.0.3
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native


all:	jconvolver fconvolver makemulti


JCONVOLVER_O =	jconvolver.o config.o jconfig.o audiofile.o dither.o sstring.o jclient.o
jconvolver:	LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lclthreads -ljack -lpthread -lrt
jconvolver:	$(JCONVOLVER_O)
	$(CXX) $(LDFLAGS) -o $@ $(JCONVOLVER_O) $(LDLIBS)
$(JCONVOLVER_O):
-include $(JCONVOLVER_O:%.o=%.d)



FCONVOLVER_O =	fconvolver.o config.o fconfig.o audiofile.o dither.o sstring.o
fconvolver:	LDLIBS += -lzita-convolver -lfftw3f -lsndfile -lpthread -lrt
fconvolver:	$(FCONVOLVER_O)
	$(CXX) $(LDFLAGS) -o $@ $(FCONVOLVER_O) $(LDLIBS)
$(FCONVOLVER_O):
-include $(FCONVOLVER_O:%.o=%.d)



MAKEMULTI_O =	makemulti.o audiofile.o dither.o
makemulti : LDLIBS += -lsndfile -lrt
makemulti:	$(MAKEMULTI_O)
	$(CXX) $(LDFLAGS) -o $@ $(MAKEMULTI_O) $(LDLIBS)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 jconvolver $(DESTDIR)$(BINDIR)
	install -m 755 fconvolver $(DESTDIR)$(BINDIR)
	install -m 755 makemulti  $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/jconvolver
	rm -f $(DESTDIR)$(BINDIR)/fconvolver
	rm -f $(DESTDIR)$(BINDIR)/makemulti


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jconvolver fconvolver makemulti

=== debian/changelog ===
jconvolver (1.0.3-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Mar 2020 17:33:06 -0700

jconvolver (1.0.3-2) unstable; urgency=medium

  * Upload to unstable
  * Mark jconvolver-config-files as Multi-Arch: foreign

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 Mar 2020 14:45:37 +0100

jconvolver (1.0.3-1) experimental; urgency=medium

  * New upstream version 1.0.3
    + Fix FTCBFS: Make g++ substitutable (Closes: #911178)
  * Use dh-compat instead of debian/compat
  * d/control:
    + Change maintainer address to debian-multimedia@lists.debian.org
    + Add myself as an uploader
    + Bump dh-compat to 12
    + Make libzita-convolver-dev depend on >= 4.0.0 (Closes: #950808)
    + Bump Standards-Version to 4.5.0
    + Set Vcs-* to salsa.debian.org
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright: Update year, http > https & add myself
  * d/jconvolver.install: Add, to install the bins
  * d/patches: Update patchset
  * d/rules:
    + Add prefix, libdir and destdir exports
    + Fix installation
  * d/source/local-options: Drop, obsolete
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 23 Feb 2020 17:45:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: jconvolver
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 10),
- libclthreads-dev (>= 2.4.0 ),
+ debhelper-compat (= 12),
+ libclthreads-dev (>= 2.4.0),
  libfftw3-dev (>= 3.1.2-3.1),
  libjack-dev,
  libsndfile1-dev (>= 1.0.19),
- libzita-convolver-dev (>= 3.0.2)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jconv.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jconv.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
+ libzita-convolver-dev (>= 4.0.0)
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/jconvolver.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/jconvolver
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
+Rules-Requires-Root: no
 
 Package: jconvolver
 Architecture: any
@@ -35,6 +38,7 @@
 
 Package: jconvolver-config-files
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_MAINT_LD_FLAGS_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr
export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ -Dsource

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## jconvolver 1.1.0

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # --------------------------------------------------------------------------------
 #
-#  Copyright (C) 2005-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2005-2021 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -22,7 +22,7 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 
-VERSION = 1.0.3
+VERSION = 1.1.0
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
 CXXFLAGS += -O2 -Wall
 CXXFLAGS += -march=native

=== debian/changelog ===
jconvolver (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.0
  * d/rules: Remove unneeded ldflags
  * Remove obsolete d/*dirs
  * Refresh makefile patch

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 25 Aug 2021 20:47:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: jconvolver
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libclthreads-dev (>= 2.4.0),
  libfftw3-dev (>= 3.1.2-3.1),
  libjack-dev,
  libsndfile1-dev (>= 1.0.19),
  libzita-convolver-dev (>= 4.0.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/jconvolver.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jconvolver
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr
export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ -Dsource

=== debian/watch ===
version=4

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jconvolver-([\d.]+)\.tar\.bz2
